diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-illinois.h ns-3.44/src/internet/model/tcp-illinois.h
--- ns-3.43/src/internet/model/tcp-illinois.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/tcp-illinois.h	2025-03-09 16:55:49.407371300 -0700
@@ -24,9 +24,9 @@
 class TcpSocketState;
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief An implementation of TCP Illinois algorithm
+ * @brief An implementation of TCP Illinois algorithm
  *
  * TCP Illinois is a hybrid congestion control algorithm designed for
  * high-speed networks.  Illinois implements a Concave-AIMD (or C-AIMD)
@@ -98,8 +98,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -109,8 +109,8 @@
     TcpIllinois();
 
     /**
-     * \brief Copy constructor
-     * \param sock the object to copy
+     * @brief Copy constructor
+     * @param sock the object to copy
      */
     TcpIllinois(const TcpIllinois& sock);
     ~TcpIllinois() override;
@@ -118,67 +118,67 @@
     std::string GetName() const override;
 
     /**
-     * \brief Get slow start threshold after congestion event
+     * @brief Get slow start threshold after congestion event
      *
-     * \param tcb internal congestion state
-     * \param bytesInFlight bytes in flight
+     * @param tcb internal congestion state
+     * @param bytesInFlight bytes in flight
      *
-     * \return the slow start threshold value
+     * @return the slow start threshold value
      */
     uint32_t GetSsThresh(Ptr<const TcpSocketState> tcb, uint32_t bytesInFlight) override;
 
     Ptr<TcpCongestionOps> Fork() override;
 
     /**
-     * \brief Reset Illinois parameters to default values upon a loss
+     * @brief Reset Illinois parameters to default values upon a loss
      *
-     * \param tcb internal congestion state
-     * \param newState new congestion state to which the TCP is going to switch
+     * @param tcb internal congestion state
+     * @param newState new congestion state to which the TCP is going to switch
      */
     void CongestionStateSet(Ptr<TcpSocketState> tcb,
                             const TcpSocketState::TcpCongState_t newState) override;
 
     /**
-     * \brief Adjust cwnd following Illinois congestion avoidance algorithm
+     * @brief Adjust cwnd following Illinois congestion avoidance algorithm
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments ACKed
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments ACKed
      */
     void IncreaseWindow(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked) override;
 
     /**
-     * \brief Measure RTT for each ACK
+     * @brief Measure RTT for each ACK
      * Keep track of min and max RTT
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments ACKed
-     * \param rtt last RTT
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments ACKed
+     * @param rtt last RTT
      */
     void PktsAcked(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked, const Time& rtt) override;
 
   protected:
   private:
     /**
-     * \brief Recalculate alpha and beta every RTT
+     * @brief Recalculate alpha and beta every RTT
      *
-     * \param cWnd current Cwnd (in bytes)
+     * @param cWnd current Cwnd (in bytes)
      */
     void RecalcParam(uint32_t cWnd);
 
     /**
-     * \brief Calculate additive increase factor alpha
+     * @brief Calculate additive increase factor alpha
      *
      * If average queueing delay is at minimum, then alpha is set to alphaMax.
      * Otherwise, alpha is a decreasing function of average queueing delay.
      *
-     * \param da current average queueing delay
-     * \param dm maximum average queueing delay
+     * @param da current average queueing delay
+     * @param dm maximum average queueing delay
      *
      */
     void CalculateAlpha(double da, double dm);
 
     /**
-     * \brief Calculate multiplicative decrease factor beta
+     * @brief Calculate multiplicative decrease factor beta
      *
      * If the current average queueing delay is <= 10% of max. (average) queueing delay,
      * beta is set to betaMin, which equals to 1/8 by default.
@@ -186,30 +186,30 @@
      * beta is set to betaMax, which equals to 1/2 by default.
      * Otherwise, beta is an increasing function of average queueing delay.
      *
-     * \param da current average queueing delay
-     * \param dm maximum average queueing delay
+     * @param da current average queueing delay
+     * @param dm maximum average queueing delay
      *
      */
     void CalculateBeta(double da, double dm);
 
     /**
-     * \brief Calculate average queueing delay
+     * @brief Calculate average queueing delay
      *
-     * \return average queueing delay da
+     * @return average queueing delay da
      */
     Time CalculateAvgDelay() const;
 
     /**
-     * \brief Calculate maximum queueing delay
+     * @brief Calculate maximum queueing delay
      *
-     * \return maximum average queueing delay dm
+     * @return maximum average queueing delay dm
      */
     Time CalculateMaxDelay() const;
 
     /**
-     * \brief Reset Illinois parameters
+     * @brief Reset Illinois parameters
      *
-     * \param nextTxSequence Next sequence to transmit
+     * @param nextTxSequence Next sequence to transmit
      */
     void Reset(const SequenceNumber32& nextTxSequence);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-l4-protocol.cc ns-3.44/src/internet/model/tcp-l4-protocol.cc
--- ns-3.43/src/internet/model/tcp-l4-protocol.cc	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/tcp-l4-protocol.cc	2025-03-09 16:55:49.407371300 -0700
@@ -56,9 +56,6 @@
         std::clog << " [node " << m_node->GetId() << "] ";                                         \
     }
 
-/* see http://www.iana.org/assignments/protocol-numbers */
-const uint8_t TcpL4Protocol::PROT_NUMBER = 6;
-
 TypeId
 TcpL4Protocol::GetTypeId()
 {
@@ -587,7 +584,7 @@
     // XXX outgoingHeader cannot be logged
 
     TcpHeader outgoingHeader = outgoing;
-    /** \todo UrgentPointer */
+    /** @todo UrgentPointer */
     /* outgoingHeader.SetUrgentPointer (0); */
     if (Node::ChecksumEnabled())
     {
@@ -646,7 +643,7 @@
                            oif));
     }
     TcpHeader outgoingHeader = outgoing;
-    /** \todo UrgentPointer */
+    /** @todo UrgentPointer */
     /* outgoingHeader.SetUrgentPointer (0); */
     if (Node::ChecksumEnabled())
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-l4-protocol.h ns-3.44/src/internet/model/tcp-l4-protocol.h
--- ns-3.43/src/internet/model/tcp-l4-protocol.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/tcp-l4-protocol.h	2025-03-09 16:55:49.407371300 -0700
@@ -33,8 +33,8 @@
 class NetDevice;
 
 /**
- * \ingroup internet
- * \defgroup tcp TCP
+ * @ingroup internet
+ * @defgroup tcp TCP
  *
  * This is an implementation of various Transmission Control Protocol flavors.
  *
@@ -45,8 +45,8 @@
  */
 
 /**
- * \ingroup tcp
- * \brief TCP socket creation and multiplexing/demultiplexing
+ * @ingroup tcp
+ * @brief TCP socket creation and multiplexing/demultiplexing
  *
  * A single instance of this class is held by one instance of class Node.
  *
@@ -61,20 +61,22 @@
  * and SHOULD checksum packets its receives from the socket layer going down
  * the stack, but currently checksumming is disabled.
  *
- * \see CreateSocket
- * \see NotifyNewAggregate
- * \see SendPacket
+ * @see CreateSocket
+ * @see NotifyNewAggregate
+ * @see SendPacket
  */
 
 class TcpL4Protocol : public IpL4Protocol
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
-    static const uint8_t PROT_NUMBER; //!< protocol number (0x6)
+
+    /// Protocol number (see http://www.iana.org/assignments/protocol-numbers)
+    static constexpr uint8_t PROT_NUMBER = 6;
 
     TcpL4Protocol();
     ~TcpL4Protocol() override;
@@ -85,77 +87,77 @@
 
     /**
      * Set node associated with this stack
-     * \param node the node
+     * @param node the node
      */
     void SetNode(Ptr<Node> node);
 
     // NOTE: API from here should not be removed, only added. Be backward-compatible!
 
     /**
-     * \brief Create a TCP socket using the TypeId set by SocketType attribute
+     * @brief Create a TCP socket using the TypeId set by SocketType attribute
      *
-     * \return A smart Socket pointer to a TcpSocket allocated by this instance
+     * @return A smart Socket pointer to a TcpSocket allocated by this instance
      * of the TCP protocol
      */
     Ptr<Socket> CreateSocket();
 
     /**
-     * \brief Create a TCP socket using the specified congestion control algorithm TypeId
+     * @brief Create a TCP socket using the specified congestion control algorithm TypeId
      *
-     * \return A smart Socket pointer to a TcpSocket allocated by this instance
+     * @return A smart Socket pointer to a TcpSocket allocated by this instance
      * of the TCP protocol
      *
-     * \warning using a congestionTypeId other than TCP is a bad idea.
+     * @warning using a congestionTypeId other than TCP is a bad idea.
      *
-     * \param congestionTypeId the congestion control algorithm TypeId
-     * \param recoveryTypeId the recovery algorithm TypeId
+     * @param congestionTypeId the congestion control algorithm TypeId
+     * @param recoveryTypeId the recovery algorithm TypeId
      */
     Ptr<Socket> CreateSocket(TypeId congestionTypeId, TypeId recoveryTypeId);
 
     /**
-     * \brief Create a TCP socket using the specified congestion control algorithm
-     * \return A smart Socket pointer to a TcpSocket allocated by this instance
+     * @brief Create a TCP socket using the specified congestion control algorithm
+     * @return A smart Socket pointer to a TcpSocket allocated by this instance
      * of the TCP protocol
      *
-     * \param congestionTypeId the congestion control algorithm TypeId
+     * @param congestionTypeId the congestion control algorithm TypeId
      *
      */
     Ptr<Socket> CreateSocket(TypeId congestionTypeId);
 
     /**
-     * \brief Allocate an IPv4 Endpoint
-     * \return the Endpoint
+     * @brief Allocate an IPv4 Endpoint
+     * @return the Endpoint
      */
     Ipv4EndPoint* Allocate();
     /**
-     * \brief Allocate an IPv4 Endpoint
-     * \param address address to use
-     * \return the Endpoint
+     * @brief Allocate an IPv4 Endpoint
+     * @param address address to use
+     * @return the Endpoint
      */
     Ipv4EndPoint* Allocate(Ipv4Address address);
     /**
-     * \brief Allocate an IPv4 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param port port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv4 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param port port to use
+     * @return the Endpoint
      */
     Ipv4EndPoint* Allocate(Ptr<NetDevice> boundNetDevice, uint16_t port);
     /**
-     * \brief Allocate an IPv4 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param address address to use
-     * \param port port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv4 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param address address to use
+     * @param port port to use
+     * @return the Endpoint
      */
     Ipv4EndPoint* Allocate(Ptr<NetDevice> boundNetDevice, Ipv4Address address, uint16_t port);
     /**
-     * \brief Allocate an IPv4 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param localAddress local address to use
-     * \param localPort local port to use
-     * \param peerAddress remote address to use
-     * \param peerPort remote port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv4 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param localAddress local address to use
+     * @param localPort local port to use
+     * @param peerAddress remote address to use
+     * @param peerPort remote port to use
+     * @return the Endpoint
      */
     Ipv4EndPoint* Allocate(Ptr<NetDevice> boundNetDevice,
                            Ipv4Address localAddress,
@@ -163,39 +165,39 @@
                            Ipv4Address peerAddress,
                            uint16_t peerPort);
     /**
-     * \brief Allocate an IPv6 Endpoint
-     * \return the Endpoint
+     * @brief Allocate an IPv6 Endpoint
+     * @return the Endpoint
      */
     Ipv6EndPoint* Allocate6();
     /**
-     * \brief Allocate an IPv6 Endpoint
-     * \param address address to use
-     * \return the Endpoint
+     * @brief Allocate an IPv6 Endpoint
+     * @param address address to use
+     * @return the Endpoint
      */
     Ipv6EndPoint* Allocate6(Ipv6Address address);
     /**
-     * \brief Allocate an IPv6 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param port port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv6 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param port port to use
+     * @return the Endpoint
      */
     Ipv6EndPoint* Allocate6(Ptr<NetDevice> boundNetDevice, uint16_t port);
     /**
-     * \brief Allocate an IPv6 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param address address to use
-     * \param port port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv6 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param address address to use
+     * @param port port to use
+     * @return the Endpoint
      */
     Ipv6EndPoint* Allocate6(Ptr<NetDevice> boundNetDevice, Ipv6Address address, uint16_t port);
     /**
-     * \brief Allocate an IPv6 Endpoint
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param localAddress local address to use
-     * \param localPort local port to use
-     * \param peerAddress remote address to use
-     * \param peerPort remote port to use
-     * \return the Endpoint
+     * @brief Allocate an IPv6 Endpoint
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param localAddress local address to use
+     * @param localPort local port to use
+     * @param peerAddress remote address to use
+     * @param peerPort remote port to use
+     * @return the Endpoint
      */
     Ipv6EndPoint* Allocate6(Ptr<NetDevice> boundNetDevice,
                             Ipv6Address localAddress,
@@ -204,13 +206,13 @@
                             uint16_t peerPort);
 
     /**
-     * \brief Send a packet via TCP (IP-agnostic)
+     * @brief Send a packet via TCP (IP-agnostic)
      *
-     * \param pkt The packet to send
-     * \param outgoing The packet header
-     * \param saddr The source Ipv4Address
-     * \param daddr The destination Ipv4Address
-     * \param oif The output interface bound. Defaults to null (unspecified).
+     * @param pkt The packet to send
+     * @param outgoing The packet header
+     * @param saddr The source Ipv4Address
+     * @param daddr The destination Ipv4Address
+     * @param oif The output interface bound. Defaults to null (unspecified).
      */
     void SendPacket(Ptr<Packet> pkt,
                     const TcpHeader& outgoing,
@@ -219,30 +221,30 @@
                     Ptr<NetDevice> oif = nullptr) const;
 
     /**
-     * \brief Make a socket fully operational
+     * @brief Make a socket fully operational
      *
      * Called after a socket has been bound, it is inserted in an internal vector.
      *
-     * \param socket Socket to be added
+     * @param socket Socket to be added
      */
     void AddSocket(Ptr<TcpSocketBase> socket);
 
     /**
-     * \brief Remove a socket from the internal list
+     * @brief Remove a socket from the internal list
      *
-     * \param socket socket to Remove
-     * \return true if the socket has been removed
+     * @param socket socket to Remove
+     * @return true if the socket has been removed
      */
     bool RemoveSocket(Ptr<TcpSocketBase> socket);
 
     /**
-     * \brief Remove an IPv4 Endpoint.
-     * \param endPoint the end point to remove
+     * @brief Remove an IPv4 Endpoint.
+     * @param endPoint the end point to remove
      */
     void DeAllocate(Ipv4EndPoint* endPoint);
     /**
-     * \brief Remove an IPv6 Endpoint.
-     * \param endPoint the end point to remove
+     * @brief Remove an IPv6 Endpoint.
+     * @param endPoint the end point to remove
      */
     void DeAllocate(Ipv6EndPoint* endPoint);
 
@@ -281,7 +283,7 @@
     void DoDispose() override;
 
     /**
-     * \brief Setup socket factory and callbacks when aggregated to a node
+     * @brief Setup socket factory and callbacks when aggregated to a node
      *
      * This function will notify other components connected to the node that a
      * new stack member is now connected. This will be used to notify Layer 3
@@ -292,14 +294,14 @@
     void NotifyNewAggregate() override;
 
     /**
-     * \brief Get the tcp header of the incoming packet and checks its checksum if needed
+     * @brief Get the tcp header of the incoming packet and checks its checksum if needed
      *
-     * \param packet Received packet
-     * \param incomingTcpHeader Overwritten with the tcp header of the packet
-     * \param source Source address (an underlying Ipv4Address or Ipv6Address)
-     * \param destination Destination address (an underlying Ipv4Address or Ipv6Address)
+     * @param packet Received packet
+     * @param incomingTcpHeader Overwritten with the tcp header of the packet
+     * @param source Source address (an underlying Ipv4Address or Ipv6Address)
+     * @param destination Destination address (an underlying Ipv4Address or Ipv6Address)
      *
-     * \return RX_CSUM_FAILED if the checksum check fails, RX_OK otherwise
+     * @return RX_CSUM_FAILED if the checksum check fails, RX_OK otherwise
      */
     IpL4Protocol::RxStatus PacketReceived(Ptr<Packet> packet,
                                           TcpHeader& incomingTcpHeader,
@@ -307,16 +309,16 @@
                                           const Address& destination);
 
     /**
-     * \brief Check if RST packet should be sent, and in case, send it
+     * @brief Check if RST packet should be sent, and in case, send it
      *
      * The function is called when no endpoint is found for the received
      * packet. So TcpL4Protocol do not know to who the packet should be
      * given to. An RST packet is sent out as reply unless the received packet
      * has the RST flag set.
      *
-     * \param incomingHeader TCP header of the incoming packet
-     * \param incomingSAddr Source address of the incoming packet
-     * \param incomingDAddr Destination address of the incoming packet
+     * @param incomingHeader TCP header of the incoming packet
+     * @param incomingSAddr Source address of the incoming packet
+     * @param incomingDAddr Destination address of the incoming packet
      *
      */
     void NoEndPointsFound(const TcpHeader& incomingHeader,
@@ -337,13 +339,13 @@
     IpL4Protocol::DownTargetCallback6 m_downTarget6; //!< Callback to send packets over IPv6
 
     /**
-     * \brief Send a packet via TCP (IPv4)
+     * @brief Send a packet via TCP (IPv4)
      *
-     * \param pkt The packet to send
-     * \param outgoing The packet header
-     * \param saddr The source Ipv4Address
-     * \param daddr The destination Ipv4Address
-     * \param oif The output interface bound. Defaults to null (unspecified).
+     * @param pkt The packet to send
+     * @param outgoing The packet header
+     * @param saddr The source Ipv4Address
+     * @param daddr The destination Ipv4Address
+     * @param oif The output interface bound. Defaults to null (unspecified).
      */
     void SendPacketV4(Ptr<Packet> pkt,
                       const TcpHeader& outgoing,
@@ -352,13 +354,13 @@
                       Ptr<NetDevice> oif = nullptr) const;
 
     /**
-     * \brief Send a packet via TCP (IPv6)
+     * @brief Send a packet via TCP (IPv6)
      *
-     * \param pkt The packet to send
-     * \param outgoing The packet header
-     * \param saddr The source Ipv4Address
-     * \param daddr The destination Ipv4Address
-     * \param oif The output interface bound. Defaults to null (unspecified).
+     * @param pkt The packet to send
+     * @param outgoing The packet header
+     * @param saddr The source Ipv4Address
+     * @param daddr The destination Ipv4Address
+     * @param oif The output interface bound. Defaults to null (unspecified).
      */
     void SendPacketV6(Ptr<Packet> pkt,
                       const TcpHeader& outgoing,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-ledbat.h ns-3.44/src/internet/model/tcp-ledbat.h
--- ns-3.43/src/internet/model/tcp-ledbat.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-ledbat.h	2025-03-09 16:55:49.407371300 -0700
@@ -20,16 +20,16 @@
 class TcpSocketState;
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief An implementation of LEDBAT
+ * @brief An implementation of LEDBAT
  */
 
 class TcpLedbat : public TcpNewReno
 {
   private:
     /**
-     * \brief The slowstart types
+     * @brief The slowstart types
      */
     enum SlowStartType
     {
@@ -38,7 +38,7 @@
     };
 
     /**
-     * \brief The state of LEDBAT. If LEDBAT is not in VALID_OWD state, it falls to
+     * @brief The state of LEDBAT. If LEDBAT is not in VALID_OWD state, it falls to
      *        default congestion ops.
      */
     enum State : uint32_t
@@ -49,8 +49,8 @@
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -60,29 +60,29 @@
     TcpLedbat();
 
     /**
-     * \brief Copy constructor
-     * \param sock the object to copy
+     * @brief Copy constructor
+     * @param sock the object to copy
      */
     TcpLedbat(const TcpLedbat& sock);
 
     /**
-     * \brief Destructor
+     * @brief Destructor
      */
     ~TcpLedbat() override;
 
     /**
-     * \brief Get the name of the TCP flavour
+     * @brief Get the name of the TCP flavour
      *
-     * \return The name of the TCP
+     * @return The name of the TCP
      */
     std::string GetName() const override;
 
     /**
-     * \brief Get information from the acked packet
+     * @brief Get information from the acked packet
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments ACKed
-     * \param rtt The estimated rtt
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments ACKed
+     * @param rtt The estimated rtt
      */
     void PktsAcked(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked, const Time& rtt) override;
 
@@ -90,32 +90,32 @@
     Ptr<TcpCongestionOps> Fork() override;
 
     /**
-     * \brief Adjust cwnd following LEDBAT algorithm
+     * @brief Adjust cwnd following LEDBAT algorithm
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments ACKed
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments ACKed
      */
     void IncreaseWindow(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked) override;
 
     /**
-     * \brief Change the Slow Start Capability
+     * @brief Change the Slow Start Capability
      *
-     * \param doSS Slow Start Option
+     * @param doSS Slow Start Option
      */
     void SetDoSs(SlowStartType doSS);
 
   protected:
     /**
-     * \brief Reduce Congestion
+     * @brief Reduce Congestion
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments ACKed
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments ACKed
      */
     void CongestionAvoidance(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked) override;
 
   private:
     /**
-     * \brief Buffer structure to store delays
+     * @brief Buffer structure to store delays
      */
     struct OwdCircBuf
     {
@@ -124,9 +124,9 @@
     };
 
     /**
-     * \brief Initialise a new buffer
+     * @brief Initialise a new buffer
      *
-     * \param buffer The buffer to be initialised
+     * @param buffer The buffer to be initialised
      */
     void InitCircBuf(OwdCircBuf& buffer);
 
@@ -134,41 +134,41 @@
     typedef uint32_t (*FilterFunction)(OwdCircBuf&);
 
     /**
-     * \brief Return the minimum delay of the buffer
+     * @brief Return the minimum delay of the buffer
      *
-     * \param b The buffer
-     * \return The minimum delay
+     * @param b The buffer
+     * @return The minimum delay
      */
     static uint32_t MinCircBuf(OwdCircBuf& b);
 
     /**
-     * \brief Return the value of current delay
+     * @brief Return the value of current delay
      *
-     * \param filter The filter function
-     * \return The current delay
+     * @param filter The filter function
+     * @return The current delay
      */
     uint32_t CurrentDelay(FilterFunction filter);
 
     /**
-     * \brief Return the value of base delay
+     * @brief Return the value of base delay
      *
-     * \return The base delay
+     * @return The base delay
      */
     uint32_t BaseDelay();
 
     /**
-     * \brief Add new delay to the buffers
+     * @brief Add new delay to the buffers
      *
-     * \param cb The buffer
-     * \param owd The new delay
-     * \param maxlen The maximum permitted length
+     * @param cb The buffer
+     * @param owd The new delay
+     * @param maxlen The maximum permitted length
      */
     void AddDelay(OwdCircBuf& cb, uint32_t owd, uint32_t maxlen);
 
     /**
-     * \brief Update the base delay buffer
+     * @brief Update the base delay buffer
      *
-     * \param owd The delay
+     * @param owd The delay
      */
     void UpdateBaseDelay(uint32_t owd);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-linux-reno.h ns-3.44/src/internet/model/tcp-linux-reno.h
--- ns-3.43/src/internet/model/tcp-linux-reno.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-linux-reno.h	2025-03-09 16:55:49.407371300 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief Reno congestion control algorithm
+ * @brief Reno congestion control algorithm
  *
  * This class implement the Reno congestion control type
  * and it mimics the one implemented in the Linux kernel.
@@ -29,16 +29,16 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     TcpLinuxReno();
 
     /**
-     * \brief Copy constructor.
-     * \param sock object to copy.
+     * @brief Copy constructor.
+     * @param sock object to copy.
      */
     TcpLinuxReno(const TcpLinuxReno& sock);
 
@@ -53,15 +53,15 @@
   protected:
     /**
      * Slow start phase handler
-     * \param tcb Transmission Control Block of the connection
-     * \param segmentsAcked count of segments acked
-     * \return Number of segments acked minus the difference between the receiver and sender Cwnd
+     * @param tcb Transmission Control Block of the connection
+     * @param segmentsAcked count of segments acked
+     * @return Number of segments acked minus the difference between the receiver and sender Cwnd
      */
     virtual uint32_t SlowStart(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked);
     /**
      * Congestion avoidance phase handler
-     * \param tcb Transmission Control Block of the connection
-     * \param segmentsAcked count of segments acked
+     * @param tcb Transmission Control Block of the connection
+     * @param segmentsAcked count of segments acked
      */
     virtual void CongestionAvoidance(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked);
 
@@ -72,7 +72,7 @@
      * derived classes using the IncreaseWindow() method may not want this
      * behavior, so this method exists to allow subclasses to set it to false.
      *
-     * \param value Value to set whether the isCwndLimited condition
+     * @param value Value to set whether the isCwndLimited condition
      *        suppresses window updates
      */
     void SetSuppressIncreaseIfCwndLimited(bool value);
